Package bitel.billing.server.contract.bean

# Class ContractMemoManager

java.lang.Object
bitel.billing.server.contract.bean.ContractMemoManager

    @Deprecated
    public class ContractMemoManager
    extends java.lang.Object

Deprecated.
use `ContractNote`, `ContractNoteDao` and `ContractNoteService`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractMemoManager​(java.sql.Connection con)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteMemo​(int id)` | Deprecated. Удаление примечания по ИД
  `ContractMemo` | `getMemo​(int id)` | Deprecated. Возвращает примечание по ИД
  `java.util.List<ContractMemo>` | `getMemoList​(int cid, boolean flag)` | Deprecated. Получает список примечаний договора (всех или только видимых)
  `java.util.List<ContractMemo>` | `getUserMemoList​(int cid)` | Deprecated. Получает список примечаний для пользователя для данного договора
  `void` | `updateMemo​(ContractMemo memo)` | Deprecated. Изменяет или добавляет примечание

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractMemoManager

    public ContractMemoManager​(java.sql.Connection con)
    Deprecated.

- ## Method Details

  - ### updateMemo

    public void updateMemo​(ContractMemo memo)
    Deprecated.
    Изменяет или добавляет примечание
    Parameters:
      `memo` -

  - ### deleteMemo

    public void deleteMemo​(int id)
    Deprecated.
    Удаление примечания по ИД
    Parameters:
      `id` -

  - ### getMemo

    public ContractMemo getMemo​(int id)
    Deprecated.
    Возвращает примечание по ИД
    Parameters:
      `id` -
    Returns:
      примечание

  - ### getUserMemoList

    public java.util.List<ContractMemo> getUserMemoList​(int cid)
    Deprecated.
    Получает список примечаний для пользователя для данного договора
    Parameters:
      `cid` -
    Returns:
      список примечаний

  - ### getMemoList

    public java.util.List<ContractMemo> getMemoList​(int cid, boolean flag)
    Deprecated.
    Получает список примечаний договора (всех или только видимых)
    Parameters:
      `cid` -
      `flag` - получить только видимые для пользователя примечания
    Returns:
      список примечаний